package javax.xml.transform.sax;

import javax.xml.transform.Transformer;
import javax.xml.transform.Result;
import org.xml.sax.DTDHandler;
import org.xml.sax.ext.LexicalHandler;
import org.xml.sax.ContentHandler;

public interface TransformerHandler extends ContentHandler, LexicalHandler, DTDHandler
{
    public abstract void setResult(Result p0) throws IllegalArgumentException;
    
    public abstract void setSystemId(String p0);
    
    public abstract String getSystemId();
    
    public abstract Transformer getTransformer();
}
